ptz
Device proxies

The ptz proxy provides an interface to pan-tilt units such as the Sony PTZ camera. More...

## Classes

struct | playerc_ptz_t
| PTZ device data. More...

## Functions

PLAYERC_EXPORT playerc_ptz_t * | playerc_ptz_create (playerc_client_t *client, int index)
| Create a ptz proxy. More...
PLAYERC_EXPORT void | playerc_ptz_destroy (playerc_ptz_t *device)
| Destroy a ptz proxy. More...
PLAYERC_EXPORT int | playerc_ptz_subscribe (playerc_ptz_t *device, int access)
| Subscribe to the ptz device. More...
PLAYERC_EXPORT int | playerc_ptz_unsubscribe (playerc_ptz_t *device)
| Un-subscribe from the ptz device. More...
PLAYERC_EXPORT int | playerc_ptz_set (playerc_ptz_t *device, double pan, double tilt, double zoom)
| Set the pan, tilt and zoom values. More...
PLAYERC_EXPORT int | playerc_ptz_query_status (playerc_ptz_t *device)
| Query the pan and tilt status. More...
PLAYERC_EXPORT int | playerc_ptz_set_ws (playerc_ptz_t *device, double pan, double tilt, double zoom, double panspeed, double tiltspeed)
| Set the pan, tilt and zoom values (and speed) More...
PLAYERC_EXPORT int | playerc_ptz_set_control_mode (playerc_ptz_t *device, int mode)
| Change control mode (select velocity or position control) More...

## Detailed Description

The ptz proxy provides an interface to pan-tilt units such as the Sony PTZ camera.

## Function Documentation

PLAYERC_EXPORT playerc_ptz_t* playerc_ptz_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a ptz proxy.

PLAYERC_EXPORT void playerc_ptz_destroy | ( | playerc_ptz_t * | device | ) |

Destroy a ptz proxy.

PLAYERC_EXPORT int playerc_ptz_query_status | ( | playerc_ptz_t * | device | ) |

Query the pan and tilt status.

Parameters

  device | Pointer to proxy object.

PLAYERC_EXPORT int playerc_ptz_set | ( | playerc_ptz_t * | device,
|  | double | pan,
|  | double | tilt,
|  | double | zoom
| ) |  |

Set the pan, tilt and zoom values.

Parameters

  device | Pointer to proxy object.
  pan | Pan value, in radians; 0 = centered.
  tilt | Tilt value, in radians; 0 = level.
  zoom | Zoom value, in radians (corresponds to camera field of view).

PLAYERC_EXPORT int playerc_ptz_set_control_mode | ( | playerc_ptz_t * | device,
|  | int | mode
| ) |  |

Change control mode (select velocity or position control)

Parameters

  device | Pointer to proxy object.
  mode | Desired mode (PLAYER_PTZ_VELOCITY_CONTROL or PLAYER_PTZ_POSITION_CONTROL)

Returns
  0 on success, -1 on error, -2 on NACK.

PLAYERC_EXPORT int playerc_ptz_set_ws | ( | playerc_ptz_t * | device,
|  | double | pan,
|  | double | tilt,
|  | double | zoom,
|  | double | panspeed,
|  | double | tiltspeed
| ) |  |

Set the pan, tilt and zoom values (and speed)

Parameters

  device | Pointer to proxy object.
  pan | Pan value, in radians; 0 = centered.
  tilt | Tilt value, in radians; 0 = level.
  zoom | Zoom value, in radians (corresponds to camera field of view).
  panspeed | Pan speed, in radians/sec.
  tiltspeed | Tilt speed, in radians/sec.

PLAYERC_EXPORT int playerc_ptz_subscribe | ( | playerc_ptz_t * | device,
|  | int | access
| ) |  |

Subscribe to the ptz device.

PLAYERC_EXPORT int playerc_ptz_unsubscribe | ( | playerc_ptz_t * | device | ) |

Un-subscribe from the ptz device.

Last updated 12 September 2005 21:38:45